wxWidgets: wxDebugReportPreview Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxDebugReportPreview Class Referenceabstract
Class List by Category » Debugging

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.i686/src/wxWidgets-3.0.5.1/interface/wx/debugrpt.h>`

Inheritance diagram for wxDebugReportPreview:
[legend]

## Detailed Description

This class presents the debug report to the user and allows him to veto report entirely or remove some parts of it.

Although not mandatory, using this class is strongly recommended as data included in the debug report might contain sensitive private information and the user should be notified about it as well as having a possibility to examine the data which had been gathered to check whether this is effectively the case and discard the debug report if it is.

wxDebugReportPreview is an abstract base class, currently the only concrete class deriving from it is wxDebugReportPreviewStd.

##

Library: wxQA

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxDebugReportPreview ()
| Default constructor. More...
virtual | ~wxDebugReportPreview ()
| Destructor is trivial as well but should be virtual for a base class. More...
virtual bool | Show (wxDebugReport &dbgrpt) const =0
| Present the report to the user and allow him to modify it by removing some or all of the files and, potentially, adding some notes. More...

## Constructor & Destructor Documentation

## ◆ wxDebugReportPreview()

wxDebugReportPreview::wxDebugReportPreview | ( |  | ) |

Default constructor.

## ◆ ~wxDebugReportPreview()

virtual wxDebugReportPreview::~wxDebugReportPreview | ( |  | ) |
| virtual

Destructor is trivial as well but should be virtual for a base class.

## Member Function Documentation

## ◆ Show()

virtual bool wxDebugReportPreview::Show | ( | wxDebugReport & | dbgrpt | ) | const
| pure virtual

Present the report to the user and allow him to modify it by removing some or all of the files and, potentially, adding some notes.

Returns
  true if the report should be processed or false if the user chose to cancel report generation or removed all files from it.

Implemented in wxDebugReportPreviewStd.